Subject: [Idr] BGPsec without Extended Messages (draft-ietf-sidr-bgpsec-protocol)

From: "Alvaro Retana (aretana)" <[email-masked]>
Date: Tue, 4 Apr 2017 16:15:09 +0000

Dear sidr WG:

As has been discussed in the mailing list and at the sidrops meeting last week in Chicago, there is interest to not have the BGPsec document (draft-ietf-sidr-bgpsec-protocol) depend normatively on the Extended Messages work (draft-ietf-idr-bgp-extended-messages).  Based on that discussion, Sriram and I have come up with proposed diffs – please see the attachment (-23 has not been posted yet).

To summarize, the changes are: (1) remove mention/references of/to draft-ietf-idr-bgp-extended-messages, and (2) add the following text in Section 4.1. (General Guidance):

    All BGPsec update messages MUST conform to BGP's maximum message
    size.  If the resulting message exceeds the maximum message size,
    then the guidelines in Section 9.2 of RFC 4271 [RFC4271] MUST be
    followed.

[For easier reference, I put the relevant text from 9.2 below.]

The result is then that draft-ietf-sidr-bgpsec-protocol doesn’t depend on draft-ietf-idr-bgp-extended-messages.  Instead, when referring to the size of the messages, it depends on rfc4271.

Please let me know if you have any concerns.  I will wait a week before proceeding.

Given that this document has already been approved by the IESG, the process going forward is:

- consult the WG (this thread)
- inform the IESG of the intent
- inform the IETF ([email-masked])<mailto:[email-masked])> of the changes
- publish an updated draft
- continue the publication process

Each step may, obviously, require additional discussion and could result in changes to the current plan.

Thanks!!

Alvaro.

https://tools.ietf.org/html/rfc4271#section-9.2

9.2.  Update-Send Process

…
   If, due to the limits on the maximum size of an UPDATE message (see
   Section 4), a single route doesn't fit into the message, the BGP
   speaker MUST not advertise the route to its peers and MAY choose to
   log an error locally.

---

From: Matthew Lepinski <[email-masked]>
Date: Tue, 4 Apr 2017 12:44:43 -0400

Alvaro,

The proposed changes seem reasonable, but I want to make sure that I
understand the path forward clearly.

My understanding is that if we were to reach a future where
draft-ietf-idr-bgp-extended-messages is widely deployed, then the BGP
speaker's maximum message size will just be larger (than it is today)
and as a result we avoid reaching the point where Section 9.2 (of
4271) guidance is needed.

Is my understanding correct? (I want to make sure that future
implementers will find our text clear and we won't need to revise this
spec to add clarity if extended messages ends up in widespread use.)

- Matt Lepinski

On Tue, Apr 4, 2017 at 12:15 PM, Alvaro Retana (aretana)
<[email-masked]> wrote:
> Dear sidr WG:
>
>
>
> As has been discussed in the mailing list and at the sidrops meeting last
> week in Chicago, there is interest to not have the BGPsec document
> (draft-ietf-sidr-bgpsec-protocol) depend normatively on the Extended
> Messages work (draft-ietf-idr-bgp-extended-messages).  Based on that
> discussion, Sriram and I have come up with proposed diffs – please see the
> attachment (-23 has not been posted yet).
>
>
>
> To summarize, the changes are: (1) remove mention/references of/to
> draft-ietf-idr-bgp-extended-messages, and (2) add the following text in
> Section 4.1. (General Guidance):
>
>
>
> The result is then that draft-ietf-sidr-bgpsec-protocol doesn’t depend on
> draft-ietf-idr-bgp-extended-messages.  Instead, when referring to the size
> of the messages, it depends on rfc4271.
>
>
>
> - inform the IETF ([email-masked]) of the changes
>

---

From: "Sriram, Kotikalapudi (Fed)" <[email-masked]>
Date: Tue, 4 Apr 2017 17:08:10 +0000

Hi Matt,

I think slide 4 of this presentation (SIDROPS, IETF 98) addresses your questions/concerns: 
https://www.ietf.org/proceedings/98/slides/slides-98-sidrops-decoupling-bgpsec-documents-and-extended-messages-draft-00.pdf 

Please take a look at slide 3 also (BGP & BGPsec update sizes). 

Also, Alvaro's post from March 15 should be helpful:  
https://www.ietf.org/mail-archive/web/sidr/current/msg08506.html 

Sriram

-----Original Message-----
From: Matthew Lepinski [mailto:[email-masked]] 
Sent: Tuesday, April 04, 2017 12:45 PM
To: Alvaro Retana (aretana) <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]
Subject: Re: BGPsec without Extended Messages (draft-ietf-sidr-bgpsec-protocol)

Alvaro,

The proposed changes seem reasonable, but I want to make sure that I understand the path forward clearly.

My understanding is that if we were to reach a future where draft-ietf-idr-bgp-extended-messages is widely deployed, then the BGP speaker's maximum message size will just be larger (than it is today) and as a result we avoid reaching the point where Section 9.2 (of
4271) guidance is needed.

Is my understanding correct? (I want to make sure that future implementers will find our text clear and we won't need to revise this spec to add clarity if extended messages ends up in widespread use.)

- Matt Lepinski

On Tue, Apr 4, 2017 at 12:15 PM, Alvaro Retana (aretana) <[email-masked]> wrote:
> Dear sidr WG:
>
>
>
> As has been discussed in the mailing list and at the sidrops meeting 
> last week in Chicago, there is interest to not have the BGPsec 
> document
> discussion, Sriram and I have come up with proposed diffs – please see 
> the attachment (-23 has not been posted yet).
>
>
>
> draft-ietf-idr-bgp-extended-messages, and (2) add the following text 
> in Section 4.1. (General Guidance):
>
>
>
> The result is then that draft-ietf-sidr-bgpsec-protocol doesn’t depend 
> on draft-ietf-idr-bgp-extended-messages.  Instead, when referring to 
> the size of the messages, it depends on rfc4271.
>
>
>

---

From: "Alvaro Retana (aretana)" <[email-masked]>
Date: Tue, 4 Apr 2017 17:18:45 +0000

On 4/4/17, 12:44 PM, "Matthew Lepinski" <[email-masked]> wrote:

Matt:

Hi!

> Is my understanding correct? 

Not exactly.

The text in 9.2/rfc4271 is generic, it doesn’t apply to a specific message size; the maximum size is defined elsewhere.  The current text of draft-ietf-idr-bgp-extended-messages changes the size of the messages in Section 4 (of rfc4271), which is the same place where 9.2 points to.  IOW, the text in 9.2 would not change and still be applicable, the limit would just be reached later.

> (I want to make sure that future

To me, the main purpose of changing the BGPsec spec is to depend on whatever BGP does, and not on a future extension that may or may not be in the form it is today.  However, if we keep the reference to the known standard (rfc4271), then we should not have to update this document because we would just inherit whatever BGP does.

Thanks!

Alvaro.

---

From: Matthew Lepinski <[email-masked]>
Date: Tue, 4 Apr 2017 15:15:42 -0400

Alvaro,

Thanks a lot. That makes perfect sense.

I support this change.

- Matt Lepinski

On Apr 4, 2017 1:18 PM, "Alvaro Retana (aretana)" <[email-masked]> wrote:

> The text in 9.2/rfc4271 is generic, it doesn’t apply to a specific message
> size; the maximum size is defined elsewhere.  The current text of
> draft-ietf-idr-bgp-extended-messages changes the size of the messages in
> Section 4 (of rfc4271), which is the same place where 9.2 points to.  IOW,
> the text in 9.2 would not change and still be applicable, the limit would
> just be reached later.
>
> To me, the main purpose of changing the BGPsec spec is to depend on
> whatever BGP does, and not on a future extension that may or may not be in
> the form it is today.  However, if we keep the reference to the known
> standard (rfc4271), then we should not have to update this document because
> we would just inherit whatever BGP does.
>
> Thanks!
>
> Alvaro.
>
>

---

From: Sean Turner <[email-masked]>
Date: Wed, 5 Apr 2017 10:49:06 -0400

> On Apr 4, 2017, at 13:18, Alvaro Retana (aretana) <[email-masked]> wrote:
> 

This sound reasonable to me.

spt

---

From: "Susan Hares" <[email-masked]>
Date: Wed, 5 Apr 2017 11:01:18 -0400

<individual contributor, RFC4271 co-author> 
Seems reasonable to me. 

Sue Hares 

-----Original Message-----
From: sidr [mailto:[email-masked]] On Behalf Of Sean Turner
Sent: Wednesday, April 5, 2017 10:49 AM
To: Alvaro Retana (aretana)
Cc: [email-masked]; [email-masked];
[email-masked]; Matthew Lepinski; [email-masked]; [email-masked]
Subject: Re: [sidr] BGPsec without Extended Messages
(draft-ietf-sidr-bgpsec-protocol)

spt
_______________________________________________
sidr mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/sidr

---

From: "Alvaro Retana (aretana)" <[email-masked]>
Date: Wed, 12 Apr 2017 17:51:20 +0000

Hi!

Thanks to everyone who made comments in support for the modified text.

I am now proceeding with the rest of the process (below).  Will cc the WG as needed.

Thanks!!

Alvaro.

On 4/4/17, 12:15 PM, "Alvaro Retana (aretana)" <[email-masked]<mailto:[email-masked]>> wrote: